﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Input.Preview.Injection;

namespace MyApp
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            injector = InputInjector.TryCreate();
        }

        InputInjector injector = null;

        private void OnClick(object sender, RoutedEventArgs e)
        {
            Button btn = (Button)sender;
            string content = btn.Content as string;
            char c = content[0];
            InjectedInputKeyboardInfo keyinfo = new InjectedInputKeyboardInfo();
            keyinfo.VirtualKey = (ushort)c;
            InjectedInputKeyboardInfo[] infos =
            {
                keyinfo
            };
            // 让文本框获得键盘焦点，不然输不进去
            txt.Focus(FocusState.Keyboard);
            injector.InjectKeyboardInput(infos);
        }
    }
}
